<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>1</title>
</head>
<script type="text/javascript">
	// variable contador
	let c=0;
	// variable leer dato
	let numero=0;


	// crear un array e introducir 10 numeros directamente:
	let a=[];
	a=[2,3,5,7,11,13,17,19,23,29];
	// si solo es crear
	// let a=new Array();
	// let b=[];
	// 
	// 
	// crear e inicializar
	// let a=new Array(1,2,3,4,5,6,7,8,9,0);
	// si a new array le pasas un valor, es la dimension
	// si le pasas más de un valor, son los valore
	
	let b=[1,2,3,4,5,6,7,8,9,0];

	// acceder al elemento 7 de b
	// b[6]
	// b[6]=10; --> entrada de dato (leer)
	// console.log(b[6]); --> salida de dato (escribir)
	// 
	
	// introducir elementos
	
	/*
		bucle while
	 */
	c=0; // comienzo
	// recorriendole 
	/*
	while (c<b.length) {
		// b[c]=numero;
		// numero=Math.trunc(Math.random()*100); // nº entero aleatorio entre 0 y 100
		b[c]=Math.trunc(Math.random()*100);
		c++;
	}
	*/
	/*
		bucle for
	 */
	for (c=0;c<b.length;c++){
		b[c]=Math.trunc(Math.random()*100);
	}

	// Mostrar el array
	// 
	// 
	// 
	// para realizar pruebas
	// console.log(b);
	// document.write(b); // te lo muestra separado por comas
	
	/* recorremos el array */
	for (c=0;c<b.length;c++){
		document.write(b[c] + "<br/>");
	}


</script>
<body>
	
</body>
</html>